# There is no real release from upstream yet so we follow the fedora policy.
%define		svnver		4917
%define		snapshot	20090307svn%{svnver}

Name:		dfu-util
Version:	0.1
Release:	0.10.%{snapshot}%{?dist}
Summary:	USB Device Firmware Upgrade tool

Group:		Development/Tools
License:	GPLv2+
URL:		http://wiki.openmoko.org/wiki/Dfu-util
# Latest tar archive can be created using following sh commands:
# URL=http://svn.openmoko.org/trunk/src/host/dfu-util
# DATE=$(date +%Y%M%d)
# SVNVER=$(svn info $URL | grep Revi |cut -d\  -f2)
# VER=${DATE}svn${SVNVER}
# svn export -r $SVNVER $URL dfu-util-$VER
# tar cvf dfu-util-$VER.tar.gz dfu-util-$VER
# or the same commands with particular date + svnver.
Source0:	dfu-util-%{snapshot}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake libusb-devel libusb-static glibc-devel glibc-static


%description
USB Device Firmware Upgrade (DFU) is an official USB device class specification 
of the USB Implementers Forum. It specifies a vendor and device independent way 
of updating the firmware of a USB device. The idea is to have only one 
vendor-independent firmware update tool as part of the operating system, which 
can then (given a particular firmware image) be downloaded into the device. 

In addition to firmware download, it also specifies firmware upload, i.e.
loading the currently installed device firmware to the USB Host.

DFU specification can be found from:
 http://www.usb.org/developers/devclass_docs/usbdfu10.pdf


%prep
%setup -q -n %{name}-%{snapshot}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
cp doc/%{name}.1 %{buildroot}%{_mandir}/man1
pushd src
make DESTDIR=%{buildroot} install
popd


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc
%exclude %{_bindir}/dfu-util_static
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.10.20090307svn4917
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 Juha Tuomala <tuju@iki.fi> - 0.1-0.9.20090307svn4917
- Fix builds for Fedora 11.

* Tue Mar 10 2009 Juha Tuomala <tuju@iki.fi> - 0.1-0.8.20090307svn4917
- Add 64-bit archs again as x86_64 seems to work.

* Tue Mar 10 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.1-0.7.20090307svn4917
- glibc-devel BR

* Tue Mar 10 2009 Juha Tuomala <tuju@iki.fi> - 0.1-0.6.20090307svn4917
- Update to snpshot 4917.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20080922svn4662
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 22 2008 Juha Tuomala <tuju@iki.fi> - 0.1-0.4.20080922svn4662
- fixed perms and excluded static binary.

* Mon Sep 22 2008 Juha Tuomala <tuju@iki.fi> - 0.1-0.3.20080922svn4662
- Added missing BRs.

* Mon Sep 22 2008 Juha Tuomala <tuju@iki.fi> - 0.1-0.2.20080922svn4662
- Removed unecessary Requires: tag. Added ExlcudeArch for 64bit machines.

* Mon Sep 22 2008 Juha Tuomala <tuju@iki.fi> - 0.1-0.1.20080922svn4662
- Fixed version, license conflict, url, etc rpmlit warnings.

* Sun Sep 21 2008 Juha Tuomala <tuju@iki.fi> - 0.0svn4160
- Initial package version.
